Reconciliation Integration Schedule Job¶
Reconciliation Integration Schedule Job - Update¶
HTTP Request
PUT /api/v1/general-ledger/reconciliation-integrations/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "cronExpression": "string",
4 "cronReadable": "string",
5 "active": true,
6 "unauthorized": true,
7 "nextExecution": "2019-08-24T14:15:22Z",
8 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
9 "previousExecution": "2019-08-24T14:15:22Z",
10 "previousExecutionMessage": "string",
11 "batchSize": 0,
12 "name": "string",
13 "profileId": 0,
14 "reconciliationConfigurationDto": {
15 "id": 0,
16 "delimiter": "PIPE",
17 "fields": [
18 {
19 "reconciliationField": "ERP_SYSTEM_DISPLAY_ID",
20 "header": "string",
21 "value": "string"
22 }
23 ],
24 "startingDate": "2019-08-24",
25 "reconciliationIntegrationJobDtos": [
26 {
27 "id": 0,
28 "queueTime": "2019-08-24T14:15:22Z",
29 "startTime": "2019-08-24T14:15:22Z",
30 "endTime": "2019-08-24T14:15:22Z",
31 "interruptedAt": "2019-08-24T14:15:22Z",
32 "recoveredAt": "2019-08-24T14:15:22Z",
33 "status": "CREATED",
34 "recover": true,
35 "interrupted": true,
36 "interruptionMessage": "string",
37 "errorMessage": "string",
38 "executor": "SCHEDULER",
39 "scheduleJobId": 0,
40 "batchSize": 0,
41 "totalObjectCount": 0,
42 "readOnly": true,
43 "profileId": 0,
44 "fileNamePrefix": "string",
45 "fileType": "CSV",
46 "includeHeader": true,
47 "reconciliationConfigurationDto": {}
48 }
49 ]
50 },
51 "fileNamePrefix": "string",
52 "includeHeader": true,
53 "dateTimeFormat": "string",
54 "serverUrl": "string",
55 "serverUsername": "string",
56 "serverPassword": "string",
57 "serverFilesDirectory": "string",
58 "fileType": "CSV"
59}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "cronExpression": "string",
4 "cronReadable": "string",
5 "active": true,
6 "unauthorized": true,
7 "nextExecution": "2019-08-24T14:15:22Z",
8 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
9 "previousExecution": "2019-08-24T14:15:22Z",
10 "previousExecutionMessage": "string",
11 "batchSize": 0,
12 "name": "string",
13 "profileId": 0,
14 "reconciliationConfigurationDto": {
15 "id": 0,
16 "delimiter": "PIPE",
17 "fields": [
18 {
19 "reconciliationField": "ERP_SYSTEM_DISPLAY_ID",
20 "header": "string",
21 "value": "string"
22 }
23 ],
24 "startingDate": "2019-08-24",
25 "reconciliationIntegrationJobDtos": [
26 {
27 "id": 0,
28 "queueTime": "2019-08-24T14:15:22Z",
29 "startTime": "2019-08-24T14:15:22Z",
30 "endTime": "2019-08-24T14:15:22Z",
31 "interruptedAt": "2019-08-24T14:15:22Z",
32 "recoveredAt": "2019-08-24T14:15:22Z",
33 "status": "CREATED",
34 "recover": true,
35 "interrupted": true,
36 "interruptionMessage": "string",
37 "errorMessage": "string",
38 "executor": "SCHEDULER",
39 "scheduleJobId": 0,
40 "batchSize": 0,
41 "totalObjectCount": 0,
42 "readOnly": true,
43 "profileId": 0,
44 "fileNamePrefix": "string",
45 "fileType": "CSV",
46 "includeHeader": true,
47 "reconciliationConfigurationDto": {}
48 }
49 ]
50 },
51 "fileNamePrefix": "string",
52 "includeHeader": true,
53 "dateTimeFormat": "string",
54 "serverUrl": "string",
55 "serverUsername": "string",
56 "serverPassword": "string",
57 "serverFilesDirectory": "string",
58 "fileType": "CSV"
59}
Reconciliation Integration Schedule Job - Change State¶
HTTP Request
PUT /api/v1/general-ledger/reconciliation-integrations/{id}/enable/{state}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
state |
path |
boolean |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Reconciliation Integration Schedule Job - Create¶
HTTP Request
POST /api/v1/general-ledger/reconciliation-integrations
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "cronExpression": "string",
4 "cronReadable": "string",
5 "active": true,
6 "unauthorized": true,
7 "nextExecution": "2019-08-24T14:15:22Z",
8 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
9 "previousExecution": "2019-08-24T14:15:22Z",
10 "previousExecutionMessage": "string",
11 "batchSize": 0,
12 "name": "string",
13 "profileId": 0,
14 "reconciliationConfigurationDto": {
15 "id": 0,
16 "delimiter": "PIPE",
17 "fields": [
18 {
19 "reconciliationField": "ERP_SYSTEM_DISPLAY_ID",
20 "header": "string",
21 "value": "string"
22 }
23 ],
24 "startingDate": "2019-08-24",
25 "reconciliationIntegrationJobDtos": [
26 {
27 "id": 0,
28 "queueTime": "2019-08-24T14:15:22Z",
29 "startTime": "2019-08-24T14:15:22Z",
30 "endTime": "2019-08-24T14:15:22Z",
31 "interruptedAt": "2019-08-24T14:15:22Z",
32 "recoveredAt": "2019-08-24T14:15:22Z",
33 "status": "CREATED",
34 "recover": true,
35 "interrupted": true,
36 "interruptionMessage": "string",
37 "errorMessage": "string",
38 "executor": "SCHEDULER",
39 "scheduleJobId": 0,
40 "batchSize": 0,
41 "totalObjectCount": 0,
42 "readOnly": true,
43 "profileId": 0,
44 "fileNamePrefix": "string",
45 "fileType": "CSV",
46 "includeHeader": true,
47 "reconciliationConfigurationDto": {}
48 }
49 ]
50 },
51 "fileNamePrefix": "string",
52 "includeHeader": true,
53 "dateTimeFormat": "string",
54 "serverUrl": "string",
55 "serverUsername": "string",
56 "serverPassword": "string",
57 "serverFilesDirectory": "string",
58 "fileType": "CSV"
59}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "cronExpression": "string",
4 "cronReadable": "string",
5 "active": true,
6 "unauthorized": true,
7 "nextExecution": "2019-08-24T14:15:22Z",
8 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
9 "previousExecution": "2019-08-24T14:15:22Z",
10 "previousExecutionMessage": "string",
11 "batchSize": 0,
12 "name": "string",
13 "profileId": 0,
14 "reconciliationConfigurationDto": {
15 "id": 0,
16 "delimiter": "PIPE",
17 "fields": [
18 {
19 "reconciliationField": "ERP_SYSTEM_DISPLAY_ID",
20 "header": "string",
21 "value": "string"
22 }
23 ],
24 "startingDate": "2019-08-24",
25 "reconciliationIntegrationJobDtos": [
26 {
27 "id": 0,
28 "queueTime": "2019-08-24T14:15:22Z",
29 "startTime": "2019-08-24T14:15:22Z",
30 "endTime": "2019-08-24T14:15:22Z",
31 "interruptedAt": "2019-08-24T14:15:22Z",
32 "recoveredAt": "2019-08-24T14:15:22Z",
33 "status": "CREATED",
34 "recover": true,
35 "interrupted": true,
36 "interruptionMessage": "string",
37 "errorMessage": "string",
38 "executor": "SCHEDULER",
39 "scheduleJobId": 0,
40 "batchSize": 0,
41 "totalObjectCount": 0,
42 "readOnly": true,
43 "profileId": 0,
44 "fileNamePrefix": "string",
45 "fileType": "CSV",
46 "includeHeader": true,
47 "reconciliationConfigurationDto": {}
48 }
49 ]
50 },
51 "fileNamePrefix": "string",
52 "includeHeader": true,
53 "dateTimeFormat": "string",
54 "serverUrl": "string",
55 "serverUsername": "string",
56 "serverPassword": "string",
57 "serverFilesDirectory": "string",
58 "fileType": "CSV"
59}
Reconciliation Integration Schedule Job - Test Existing Sftp Connection¶
HTTP Request
POST /api/v1/general-ledger/reconciliation-integrations/{jobId}/connection-test
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
jobId |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "serverHost": "string",
3 "serverUsername": "string",
4 "serverDirectory": "string",
5 "serverPassword": "string"
6}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
boolean |
Example Responses
1true
Reconciliation Integration Schedule Job - Search¶
HTTP Request
POST /api/v1/general-ledger/reconciliation-integrations/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
false |
none |
» filterDto |
body |
false |
none |
|
»» idIn |
body |
[integer] |
false |
none |
»» idEqual |
body |
integer(int64) |
false |
none |
»» idLike |
body |
string |
false |
none |
»» createdAtGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» createdAtLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» createdByLike |
body |
string |
false |
none |
»» createdByEqual |
body |
string |
false |
none |
»» modifiedAtGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» modifiedAtLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» modifiedByLike |
body |
string |
false |
none |
»» modifiedByEqual |
body |
string |
false |
none |
»» activeEqual |
body |
boolean |
false |
none |
»» nameLike |
body |
string |
false |
none |
»» profileIdEqual |
body |
integer(int64) |
false |
none |
» pageable |
body |
false |
Data transfer object representing a paginated collection of ledger entries, facilitating efficient retrieval and management of financial records, transactions, and account details within the General Ledger domain. |
|
»» page |
body |
integer(int32) |
false |
Page number for pagination |
»» size |
body |
integer(int32) |
false |
Number of items per page |
»» sort |
body |
[string] |
false |
Sort order specification |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "filterDto": {
3 "idIn": [
4 0
5 ],
6 "idEqual": 0,
7 "idLike": "string",
8 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
10 "createdByLike": "string",
11 "createdByEqual": "string",
12 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
14 "modifiedByLike": "string",
15 "modifiedByEqual": "string",
16 "activeEqual": true,
17 "nameLike": "string",
18 "profileIdEqual": 0
19 },
20 "pageable": {
21 "page": 0,
22 "size": 1,
23 "sort": [
24 "string"
25 ]
26 }
27}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "cronExpression": "string",
22 "cronReadable": "string",
23 "active": true,
24 "unauthorized": true,
25 "nextExecution": "2019-08-24T14:15:22Z",
26 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
27 "previousExecution": "2019-08-24T14:15:22Z",
28 "previousExecutionMessage": "string",
29 "batchSize": 0,
30 "name": "string",
31 "profileId": 0,
32 "reconciliationConfigurationDto": {
33 "id": 0,
34 "delimiter": "PIPE",
35 "fields": [
36 {
37 "reconciliationField": "ERP_SYSTEM_DISPLAY_ID",
38 "header": "string",
39 "value": "string"
40 }
41 ],
42 "startingDate": "2019-08-24",
43 "reconciliationIntegrationJobDtos": [
44 {
45 "id": 0,
46 "queueTime": "2019-08-24T14:15:22Z",
47 "startTime": "2019-08-24T14:15:22Z",
48 "endTime": "2019-08-24T14:15:22Z",
49 "interruptedAt": "2019-08-24T14:15:22Z",
50 "recoveredAt": "2019-08-24T14:15:22Z",
51 "status": "CREATED",
52 "recover": true,
53 "interrupted": true,
54 "interruptionMessage": "string",
55 "errorMessage": "string",
56 "executor": "SCHEDULER",
57 "scheduleJobId": 0,
58 "batchSize": 0,
59 "totalObjectCount": 0,
60 "readOnly": true,
61 "profileId": 0,
62 "fileNamePrefix": "string",
63 "fileType": "CSV",
64 "includeHeader": true,
65 "reconciliationConfigurationDto": {}
66 }
67 ]
68 },
69 "fileNamePrefix": "string",
70 "includeHeader": true,
71 "dateTimeFormat": "string",
72 "serverUrl": "string",
73 "serverUsername": "string",
74 "serverPassword": "string",
75 "serverFilesDirectory": "string",
76 "fileType": "CSV"
77 }
78 ],
79 "number": 0,
80 "sort": {
81 "unsorted": true,
82 "sorted": true,
83 "empty": true
84 },
85 "first": true,
86 "last": true,
87 "empty": true
88}
Reconciliation Integration Schedule Job - Fetch Jobs¶
HTTP Request
POST /api/v1/general-ledger/reconciliation-integrations/jobs/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
false |
none |
» filterDto |
body |
false |
none |
|
»» idIn |
body |
[integer] |
false |
none |
»» idEqual |
body |
integer(int64) |
false |
none |
»» idLike |
body |
string |
false |
none |
»» createdAtGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» createdAtLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» createdByLike |
body |
string |
false |
none |
»» createdByEqual |
body |
string |
false |
none |
»» modifiedAtGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» modifiedAtLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» modifiedByLike |
body |
string |
false |
none |
»» modifiedByEqual |
body |
string |
false |
none |
»» queueTimeGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» queueTimeLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» startTimeGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» startTimeLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» endTimeGreaterThanOrEqual |
body |
string(date-time) |
false |
none |
»» endTimeLessThanOrEqual |
body |
string(date-time) |
false |
none |
»» statusIn |
body |
[string] |
false |
none |
»» statusEqual |
body |
string |
false |
none |
»» executorEqual |
body |
string |
false |
none |
»» reconciliationConfigurationDtoEqual |
body |
false |
none |
|
»»» id |
body |
integer(int64) |
false |
none |
»»» delimiter |
body |
string |
true |
none |
»»» fields |
body |
true |
none |
|
»»»» reconciliationField |
body |
string |
false |
none |
»»»» header |
body |
string |
false |
none |
»»»» value |
body |
string |
false |
none |
»»» startingDate |
body |
string(date) |
true |
none |
»»» reconciliationIntegrationJobDtos |
body |
false |
none |
|
»»»» id |
body |
integer(int64) |
false |
none |
»»»» queueTime |
body |
string(date-time) |
false |
none |
»»»» startTime |
body |
string(date-time) |
false |
none |
»»»» endTime |
body |
string(date-time) |
false |
none |
»»»» interruptedAt |
body |
string(date-time) |
false |
none |
»»»» recoveredAt |
body |
string(date-time) |
false |
none |
»»»» status |
body |
string |
false |
none |
»»»» recover |
body |
boolean |
false |
none |
»»»» interrupted |
body |
boolean |
false |
none |
»»»» interruptionMessage |
body |
string |
false |
none |
»»»» errorMessage |
body |
string |
false |
none |
»»»» executor |
body |
string |
false |
none |
»»»» scheduleJobId |
body |
integer(int64) |
false |
none |
»»»» batchSize |
body |
integer(int32) |
false |
none |
»»»» totalObjectCount |
body |
integer(int32) |
false |
none |
»»»» readOnly |
body |
boolean |
false |
none |
»»»» profileId |
body |
integer(int64) |
false |
none |
»»»» fileNamePrefix |
body |
string |
true |
none |
»»»» fileType |
body |
string |
true |
none |
»»»» includeHeader |
body |
boolean |
false |
none |
»»»» reconciliationConfigurationDto |
body |
true |
none |
|
» pageable |
body |
false |
Data transfer object representing a paginated collection of ledger entries, facilitating efficient retrieval and management of financial records, transactions, and account details within the General Ledger domain. |
|
»» page |
body |
integer(int32) |
false |
Page number for pagination |
»» size |
body |
integer(int32) |
false |
Number of items per page |
»» sort |
body |
[string] |
false |
Sort order specification |
Enumerated Values
Attribute |
Value |
|---|---|
»» executorEqual |
MANUAL, SCHEDULER |
»» statusEqual |
CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED |
»» statusIn |
CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED |
»»» delimiter |
COMMA, PIPE, TAB |
»»»» executor |
MANUAL, SCHEDULER |
»»»» fileType |
CSV, TXT |
»»»» reconciliationField |
ACCOUNTING_ENTRY, ACCOUNTING_STANDARD_DISPLAY_ID, ACCOUNTING_STANDARD_NAME, ACCOUNT_CATEGORY, ACTIVATION_GROUP_DISPLAY_ID, BUSINESS_AREA_DISPLAY_ID, BUSINESS_AREA_NAME, BUSINESS_UNIT_DISPLAY_ID, BUSINESS_UNIT_NAME, COMPANY_CURRENCY_AMOUNT, COMPANY_CURRENCY_DECIMAL_POINTS, COMPANY_CURRENCY_DISPLAY_ID, COMPANY_CURRENCY_EXCHANGE_RATE, COMPANY_CURRENCY_NAME, COMPANY_DISPLAY_ID, COMPANY_NAME, CONTRACT_COST_CENTER_DISPLAY_ID, CONTRACT_COST_CENTER_NAME, CONTRACT_CURRENCY_AMOUNT, CONTRACT_CURRENCY_DECIMAL_POINTS, CONTRACT_CURRENCY_DISPLAY_ID, CONTRACT_CURRENCY_NAME, CONTRACT_DISPLAY_ID, CONTRACT_NAME, COST_CENTER_DISPLAY_ID, COST_CENTER_NAME, DATA_CREATION_SOURCE, DEPRECIATION_AREA_DISPLAY_ID, DEPRECIATION_AREA_NAME, DESCRIPTION, DOCUMENT_DATE, DOCUMENT_TYPE_DISPLAY_ID, DOCUMENT_TYPE_NAME, ERP_SYSTEM_DISPLAY_ID, ERP_SYSTEM_NAME, EXTERNAL_DOCUMENT_NUMBER, EXTERNAL_REFERENCE_NUMBER, EXTERNAL_REVERSAL_DOCUMENT_NUMBER, EXTERNAL_STATUS, EXTERNAL_USER_NAME, FISCAL_PERIOD, FISCAL_YEAR, FUNCTIONAL_AREA_DISPLAY_ID, FUNCTIONAL_AREA_NAME, GENERAL_LEDGER_ACCOUNT_DISPLAY_ID, GENERAL_LEDGER_ACCOUNT_NAME, INTERNAL_ASSET_CLASS_DISPLAY_ID, INTERNAL_ASSET_CLASS_NAME, INTERNAL_DOCUMENT_NUMBER, INTERNAL_REVERSAL_DOCUMENT_NUMBER, INTERNAL_STATUS, JOURNAL_STATE, LEASE_AREA_DISPLAY_ID, LEASE_AREA_NAME, LEASE_CLASSIFICATION_TYPE, LEASE_COMPONENT_DISPLAY_ID, LEASE_DEPARTMENT_DISPLAY_ID, LEASE_DEPARTMENT_NAME, MIGRATED, NPM_LEASE_DISPLAY_ID, NPM_LOCATION_DISPLAY_ID, NPM_PREMISES_DISPLAY_ID, ORIGINAL_EXTERNAL_DOCUMENT_NUMBER, ORIGINAL_INTERNAL_DOCUMENT_NUMBER, PARTNER_DISPLAY_ID, PARTNER_NAME, POSTING_DATE, PRINCIPAL_POSITION_TYPE, PROFIT_CENTER_DISPLAY_ID, PROFIT_CENTER_NAME, PURCHASING_ORDER_DISPLAY_ID, PURCHASING_ORDER_NAME, PURCHASING_ORGANIZATION_DISPLAY_ID, PURCHASING_ORGANIZATION_NAME, RESPONSIBLE_COST_CENTER_DISPLAY_ID, RESPONSIBLE_COST_CENTER_NAME, SECOND_LOCAL_CURRENCY_AMOUNT, SECOND_LOCAL_CURRENCY_DECIMAL_POINTS, SECOND_LOCAL_CURRENCY_DISPLAY_ID, SECOND_LOCAL_CURRENCY_EXCHANGE_RATE, SECOND_LOCAL_CURRENCY_NAME, SEGMENT_DISPLAY_ID, SEGMENT_NAME, THIRD_LOCAL_CURRENCY_AMOUNT, THIRD_LOCAL_CURRENCY_DECIMAL_POINTS, THIRD_LOCAL_CURRENCY_DISPLAY_ID, THIRD_LOCAL_CURRENCY_EXCHANGE_RATE, THIRD_LOCAL_CURRENCY_NAME, TRADING_PARTNER_DISPLAY_ID, TRADING_PARTNER_NAME, TRANSACTION_TYPE, TRANSACTION_TYPE_VALUE, TRANSLATION_DATE, UNIT_DISPLAY_ID, WBS_DISPLAY_ID, WBS_NAME |
»»»» status |
CANCELLED, CANCELLING, CREATED, CREATING, DONE, FAILED, INTERRUPTED, INTERRUPTING, KILLING, PENDING, PROCESSING, SCHEDULED |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "filterDto": {
3 "idIn": [
4 0
5 ],
6 "idEqual": 0,
7 "idLike": "string",
8 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
10 "createdByLike": "string",
11 "createdByEqual": "string",
12 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
14 "modifiedByLike": "string",
15 "modifiedByEqual": "string",
16 "queueTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
17 "queueTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
18 "startTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
19 "startTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
20 "endTimeGreaterThanOrEqual": "2019-08-24T14:15:22Z",
21 "endTimeLessThanOrEqual": "2019-08-24T14:15:22Z",
22 "statusIn": [
23 "CREATED"
24 ],
25 "statusEqual": "CREATED",
26 "executorEqual": "SCHEDULER",
27 "reconciliationConfigurationDtoEqual": {
28 "id": 0,
29 "delimiter": "PIPE",
30 "fields": [
31 {
32 "reconciliationField": "ERP_SYSTEM_DISPLAY_ID",
33 "header": "string",
34 "value": "string"
35 }
36 ],
37 "startingDate": "2019-08-24",
38 "reconciliationIntegrationJobDtos": [
39 {
40 "id": 0,
41 "queueTime": "2019-08-24T14:15:22Z",
42 "startTime": "2019-08-24T14:15:22Z",
43 "endTime": "2019-08-24T14:15:22Z",
44 "interruptedAt": "2019-08-24T14:15:22Z",
45 "recoveredAt": "2019-08-24T14:15:22Z",
46 "status": "CREATED",
47 "recover": true,
48 "interrupted": true,
49 "interruptionMessage": "string",
50 "errorMessage": "string",
51 "executor": "SCHEDULER",
52 "scheduleJobId": 0,
53 "batchSize": 0,
54 "totalObjectCount": 0,
55 "readOnly": true,
56 "profileId": 0,
57 "fileNamePrefix": "string",
58 "fileType": "CSV",
59 "includeHeader": true,
60 "reconciliationConfigurationDto": {}
61 }
62 ]
63 }
64 },
65 "pageable": {
66 "page": 0,
67 "size": 1,
68 "sort": [
69 "string"
70 ]
71 }
72}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "queueTime": "2019-08-24T14:15:22Z",
22 "startTime": "2019-08-24T14:15:22Z",
23 "endTime": "2019-08-24T14:15:22Z",
24 "interruptedAt": "2019-08-24T14:15:22Z",
25 "recoveredAt": "2019-08-24T14:15:22Z",
26 "status": "CREATED",
27 "recover": true,
28 "interrupted": true,
29 "interruptionMessage": "string",
30 "errorMessage": "string",
31 "executor": "SCHEDULER",
32 "scheduleJobId": 0,
33 "batchSize": 0,
34 "totalObjectCount": 0,
35 "readOnly": true,
36 "profileId": 0,
37 "fileNamePrefix": "string",
38 "fileType": "CSV",
39 "includeHeader": true,
40 "reconciliationConfigurationDto": {
41 "id": 0,
42 "delimiter": "PIPE",
43 "fields": [
44 {
45 "reconciliationField": "ERP_SYSTEM_DISPLAY_ID",
46 "header": "string",
47 "value": "string"
48 }
49 ],
50 "startingDate": "2019-08-24",
51 "reconciliationIntegrationJobDtos": [
52 {}
53 ]
54 }
55 }
56 ],
57 "number": 0,
58 "sort": {
59 "unsorted": true,
60 "sorted": true,
61 "empty": true
62 },
63 "first": true,
64 "last": true,
65 "empty": true
66}
Reconciliation Integration Schedule Job - Export Zip¶
HTTP Request
POST /api/v1/general-ledger/reconciliation-integrations/jobs/export-zip
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "queueTime": "2019-08-24T14:15:22Z",
5 "startTime": "2019-08-24T14:15:22Z",
6 "endTime": "2019-08-24T14:15:22Z",
7 "interruptedAt": "2019-08-24T14:15:22Z",
8 "recoveredAt": "2019-08-24T14:15:22Z",
9 "status": "CREATED",
10 "recover": true,
11 "interrupted": true,
12 "interruptionMessage": "string",
13 "errorMessage": "string",
14 "executor": "SCHEDULER",
15 "scheduleJobId": 0,
16 "batchSize": 0,
17 "totalObjectCount": 0,
18 "readOnly": true,
19 "profileId": 0,
20 "fileNamePrefix": "string",
21 "fileType": "CSV",
22 "includeHeader": true,
23 "reconciliationConfigurationDto": {
24 "id": 0,
25 "delimiter": "PIPE",
26 "fields": [
27 {
28 "reconciliationField": "ERP_SYSTEM_DISPLAY_ID",
29 "header": "string",
30 "value": "string"
31 }
32 ],
33 "startingDate": "2019-08-24",
34 "reconciliationIntegrationJobDtos": [
35 {}
36 ]
37 }
38 }
39]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Reconciliation Integration Schedule Job - Test Sftp Connection¶
HTTP Request
POST /api/v1/general-ledger/reconciliation-integrations/connection-test
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "serverHost": "string",
3 "serverUsername": "string",
4 "serverDirectory": "string",
5 "serverPassword": "string"
6}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
boolean |
Example Responses
1true
Reconciliation Integration Schedule Job - Download Latest Job File¶
HTTP Request
GET /api/v1/general-ledger/reconciliation-integrations/{id}/jobs/latest/download
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
string |
Example Responses
“string”
<aside class="warning">
<strong>🔐 Authentication</strong>: To perform this operation, you must be authenticated by means of one of the following methods:
API key
</aside>
## Reconciliation Integration Schedule Job - Download Job File
````{admonition} HTTP Request
:class: tip api-interaction-container
**GET** `/api/v1/general-ledger/reconciliation-integrations/jobs/{id}/download`
<button class="try-it-button" data-method="GET" data-path="/api/v1/general-ledger/reconciliation-integrations/jobs/{id}/download" data-project="spb" data-project-uri="sap-posting-bot">Interactive Demo</button>
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
string |
Example Responses
“string”
<aside class="warning">
<strong>🔐 Authentication</strong>: To perform this operation, you must be authenticated by means of one of the following methods:
API key
</aside>
## Reconciliation Integration Schedule Job - Get Active Schedule Job Count
````{admonition} HTTP Request
:class: tip api-interaction-container
**GET** `/api/v1/general-ledger/reconciliation-integrations/active`
<button class="try-it-button" data-method="GET" data-path="/api/v1/general-ledger/reconciliation-integrations/active" data-project="spb" data-project-uri="sap-posting-bot">Interactive Demo</button>
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalActiveJobs": 0,
3 "currentActiveJobs": 0
4}